## Apache Zeta Components Manual :: Docs For Class ezcLogWrongSeverityException

### EventLog::ezcLogWrongSeverityException

### Class ezcLogWrongSeverityException

The ezcLogWrongSeverityException will be thrown when an ezcLogWrongSeverity or a subclass encounters an exceptional state.

This exception is a container, containing any kind of exception.

Source for this file: /EventLog/src/exceptions/wrong_severity.php

    Exception
       |
       --ezcBaseException
          |
          --ezcLogWrongSeverityException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcLogWrongSeverityException | `__construct( $severity )` Constructs a new ezcLogWrongSeverityException for severity $severity

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcLogWrongSeverityException __construct( string $severity )

Constructs a new ezcLogWrongSeverityException for severity $severity

##### Parameters:

Name | Type | Description
--- | --- | ---
`$severity` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3